Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator.routines
Class ByteValidator

    java.lang.Object
      org.apache.commons.validator.routines.AbstractFormatValidator
          org.apache.commons.validator.routines.AbstractNumberValidator
              org.apache.commons.validator.routines.ByteValidator

All Implemented Interfaces:
  Serializable

    public class ByteValidator

extends AbstractNumberValidator

Byte Validation and Conversion routines (`java.lang.Byte`).

This validator provides a number of methods for validating/converting a `String` value to a `Byte` using `java.text.NumberFormat` to parse either:

- using the default format for the default `Locale`
- using a specified pattern with the default `Locale`
- using the default format for a specified `Locale`
- using a specified pattern with a specified `Locale`

Use one of the `isValid()` methods to just validate or one of the `validate()` methods to validate and receive a converted `Byte` value.

Once a value has been sucessfully converted the following methods can be used to perform minimum, maximum and range checks:

- `minValue()` checks whether the value is greater than or equal to a specified minimum.
- `maxValue()` checks whether the value is less than or equal to a specified maximum.
- `isInRange()` checks whether the value is within a specified range of values.

So that the same mechanism used for parsing an input value for validation can be used to format output, corresponding `format()` methods are also provided. That is you can format either:

- using the default format for the default `Locale`
- using a specified pattern with the default `Locale`
- using the default format for a specified `Locale`
- using a specified pattern with a specified `Locale`

Since:
  Validator 1.3.0
Version:
  $Revision: 1227719 $ $Date: 2012-01-05 18:45:51 +0100 (Thu, 05 Jan 2012) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.validator.routines.AbstractNumberValidator
`CURRENCY_FORMAT, PERCENT_FORMAT, STANDARD_FORMAT`

Constructor Summary
`ByteValidator()` Construct a strict instance.
`ByteValidator(boolean strict, int formatType)` Construct an instance with the specified strict setting and format type.

Method Summary
`static ByteValidator` | `getInstance()` Return a singleton instance of this validator.
`boolean` | `isInRange(byte value, byte min, byte max)` Check if the value is within a specified range.
`boolean` | `isInRange(Byte value, byte min, byte max)` Check if the value is within a specified range.
`boolean` | `maxValue(byte value, byte max)` Check if the value is less than or equal to a maximum.
`boolean` | `maxValue(Byte value, byte max)` Check if the value is less than or equal to a maximum.
`boolean` | `minValue(byte value, byte min)` Check if the value is greater than or equal to a minimum.
`boolean` | `minValue(Byte value, byte min)` Check if the value is greater than or equal to a minimum.
`protected Object` | `processParsedValue(Object value, Format formatter)` Perform further validation and convert the `Number` to a `Byte`.
`Byte` | `validate(String value)` Validate/convert a `Byte` using the default `Locale`.
`Byte` | `validate(String value, Locale locale)` Validate/convert a `Byte` using the specified `Locale`.
`Byte` | `validate(String value, String pattern)` Validate/convert a `Byte` using the specified pattern.
`Byte` | `validate(String value, String pattern, Locale locale)` Validate/convert a `Byte` using the specified pattern and/ or `Locale`.

Methods inherited from class org.apache.commons.validator.routines.AbstractNumberValidator
`determineScale, getFormat, getFormat, getFormatType, isAllowFractions, isInRange, isValid, maxValue, minValue, parse`

Methods inherited from class org.apache.commons.validator.routines.AbstractFormatValidator
`format, format, format, format, format, isStrict, isValid, isValid, isValid, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteValidator

    public ByteValidator()

  Construct a strict instance.

### ByteValidator

    public ByteValidator(boolean strict,
                         int formatType)

  Construct an instance with the specified strict setting and format type.

  The `formatType` specified what type of `NumberFormat` is created - valid types are:

  - AbstractNumberValidator.STANDARD_FORMAT -to create standard number formats (the default).
  - AbstractNumberValidator.CURRENCY_FORMAT -to create currency number formats.
  - AbstractNumberValidator.PERCENT_FORMAT -to create percent number formats (the default).

  Parameters:
    `strict` - `true` if strict `Format` parsing should be used.
    `formatType` - The `NumberFormat` type to create for validation, default is STANDARD_FORMAT.

Method Detail

### getInstance

    public static ByteValidator getInstance()

  Return a singleton instance of this validator.

  Returns:
    A singleton instance of the ByteValidator.

### validate

    public Byte validate(String value)

  Validate/convert a `Byte` using the default `Locale`.

  Parameters:
    `value` - The value validation is being performed on.
  Returns:
    The parsed `Byte` if valid or `null` if invalid.

### validate

    public Byte validate(String value,
                         String pattern)

  Validate/convert a `Byte` using the specified pattern.

  Parameters:
    `value` - The value validation is being performed on.
    `pattern` - The pattern used to validate the value against.
  Returns:
    The parsed `Byte` if valid or `null` if invalid.

### validate

    public Byte validate(String value,
                         Locale locale)

  Validate/convert a `Byte` using the specified `Locale`.

  Parameters:
    `value` - The value validation is being performed on.
    `locale` - The locale to use for the number format, system default if null.
  Returns:
    The parsed `Byte` if valid or `null` if invalid.

### validate

    public Byte validate(String value,
                         String pattern,
                         Locale locale)

  Validate/convert a `Byte` using the specified pattern and/ or `Locale`.

  Parameters:
    `value` - The value validation is being performed on.
    `pattern` - The pattern used to validate the value against, or the default for the `Locale` if `null`.
    `locale` - The locale to use for the date format, system default if null.
  Returns:
    The parsed `Byte` if valid or `null` if invalid.

### isInRange

    public boolean isInRange(byte value,
                             byte min,
                             byte max)

  Check if the value is within a specified range.

  Parameters:
    `value` - The `Number` value to check.
    `min` - The minimum value of the range.
    `max` - The maximum value of the range.
  Returns:
    `true` if the value is within the specified range.

### isInRange

    public boolean isInRange(Byte value,
                             byte min,
                             byte max)

  Check if the value is within a specified range.

  Parameters:
    `value` - The `Number` value to check.
    `min` - The minimum value of the range.
    `max` - The maximum value of the range.
  Returns:
    `true` if the value is within the specified range.

### minValue

    public boolean minValue(byte value,
                            byte min)

  Check if the value is greater than or equal to a minimum.

  Parameters:
    `value` - The value validation is being performed on.
    `min` - The minimum value.
  Returns:
    `true` if the value is greater than or equal to the minimum.

### minValue

    public boolean minValue(Byte value,
                            byte min)

  Check if the value is greater than or equal to a minimum.

  Parameters:
    `value` - The value validation is being performed on.
    `min` - The minimum value.
  Returns:
    `true` if the value is greater than or equal to the minimum.

### maxValue

    public boolean maxValue(byte value,
                            byte max)

  Check if the value is less than or equal to a maximum.

  Parameters:
    `value` - The value validation is being performed on.
    `max` - The maximum value.
  Returns:
    `true` if the value is less than or equal to the maximum.

### maxValue

    public boolean maxValue(Byte value,
                            byte max)

  Check if the value is less than or equal to a maximum.

  Parameters:
    `value` - The value validation is being performed on.
    `max` - The maximum value.
  Returns:
    `true` if the value is less than or equal to the maximum.

### processParsedValue

    protected Object processParsedValue(Object value,
                                        Format formatter)

  Perform further validation and convert the `Number` to a `Byte`.

  Specified by:
    `processParsedValue` in class `AbstractNumberValidator`
  Parameters:
    `value` - The parsed `Number` object created.
    `formatter` - The Format used to parse the value with.
  Returns:
    The parsed `Number` converted to a `Byte` if valid or `null` if invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.